# encoding: utf-8

require File.dirname(__FILE__) + '/test_helper.rb'

class TestRestclientApiBase < Minitest::Test

  def setup
    @list_url = '/gists'
  end

  module TestClient
    include RestclientApiBase

    self.base_url       = 'https://api.github.com'
    self.private_params = {}
    self.debug = true
  end

  def test_get
    list = TestClient.get(@list_url)
    assert_equal 200, list.code, 'the http status code is 200'
    assert_equal "application/json; charset=utf-8", list.headers[:content_type]
    assert list.cookies
    assert_equal true, JSON.parse(list).is_a?(Array)
  end
end